#
# spec file for package rubygem-multipart-post
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           rubygem-multipart-post
Version:        2.0.0
Release:        10.3
%define mod_name multipart-post
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            https://github.com/nicksieger/multipart-post
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
Summary:        A multipart form post accessory for Net::HTTP
License:        MIT
Group:          Development/Languages/Ruby

%description
Use with Net::HTTP to do multipart form posts.  IO values that have
#content_type, #original_filename, and #local_path will be posted as a binary
file.

%prep

%build

%install
%gem_install \
  --doc-files="History.txt README.md" \
  -f

%gem_packages

%changelog
* Thu Oct 23 2014 tboerger@suse.com
- Added last pieces for new macros
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Mon Jan 20 2014 coolo@suse.com
- updated to version 2.0.0
  - Drop Ruby 1.8 compatibility
  - GH #21: Fix FilePart length calculation for Ruby 1.9 when filename contains
  multibyte characters (hexfet)
  - GH #20: Ensure upload responds to both #content_type and #original_filename
  (Steven Davidovitz)
  - GH #31: Support setting headers on any part of the request (Socrates Vicente)
  - GH #30: Support array values for params (Gustav Ernberg)
  - GH #32: Fix respond_to? signature (Leo Cassarani)
  - GH #33: Update README to markdown (Jagtesh Chadha)
  - GH #35: Improved handling of array-type parameters (Steffen Grunwald)
* Sun Mar  3 2013 coolo@suse.com
- updated to version 1.2.0
  [#25]: Ruby 2 compatibility (thanks mislav)
* Wed Aug  1 2012 coolo@suse.com
- updated to version 1.1.5
* Fri Oct  7 2011 fcastelli@suse.com
- Update to v1.1.3
* Tue Apr 26 2011 aduffeck@novell.com
- Update to v1.1.0
* Mon Jan 10 2011 aduffeck@novell.com
- initial version
